openapi: 3.0.3
info: { title: TIIX Perms API — Perms.TelaNamespace, version: v1.0.0 }
servers: [ { url: /adm/api } ]
paths:
  /Perms.TelaNamespace/list:
    post:
      summary: Lista mapeamentos
      responses:
        "200":
          description: OK
          content: { application/json: { schema: { $ref: '#/components/schemas/DefaultResponse' } } }
  /Perms.TelaNamespace/upsert:
    post:
      summary: Cria/atualiza mapeamento
      responses:
        "200":
          description: OK
          content: { application/json: { schema: { $ref: '#/components/schemas/DefaultResponse' } } }
  /Perms.TelaNamespace/delete:
    post:
      summary: Remove mapeamento
      responses:
        "200":
          description: OK
          content: { application/json: { schema: { $ref: '#/components/schemas/DefaultResponse' } } }
components:
  schemas:
    DefaultResponse:
      type: object
      properties: { erro: {type: integer}, msg: {type: string}, data: {type: object}, id: {type: integer} }
